Index: lemon/error.h
===================================================================
--- lemon/error.h	(revision 2151)
+++ lemon/error.h	(revision 2153)
@@ -236,13 +236,13 @@
 
   ///\e 
-  class IOError : public RuntimeError {
-  public:
-    virtual const char* what() const throw() {
-      return "lemon::IOError";
+  class IoError : public RuntimeError {
+  public:
+    virtual const char* what() const throw() {
+      return "lemon::IoError";
     }
   };
 
   ///\e 
-  class DataFormatError : public IOError {
+  class DataFormatError : public IoError {
   protected:
     ExceptionMember<std::string> _message;
@@ -254,5 +254,5 @@
 
     DataFormatError(const DataFormatError &dfe) : 
-      IOError(dfe), _message(dfe._message), _file(dfe._file),
+      IoError(dfe), _message(dfe._message), _file(dfe._file),
       _line(dfe._line) {}
 
@@ -319,5 +319,5 @@
 
   ///\e 
-  class FileOpenError : public IOError {
+  class FileOpenError : public IoError {
   protected:
     ExceptionMember<std::string> _file;
@@ -327,5 +327,5 @@
 
     FileOpenError(const FileOpenError &foe) : 
-      IOError(foe), _file(foe._file) {}
+      IoError(foe), _file(foe._file) {}
 
     ///\e 
@@ -363,5 +363,5 @@
   };
 
-  class IOParameterError : public IOError {
+  class IoParameterError : public IoError {
   protected:
     ExceptionMember<std::string> _message;
@@ -371,13 +371,13 @@
   public:
 
-    IOParameterError(const IOParameterError &ile) : 
-      IOError(ile), _message(ile._message), _file(ile._file) {}
-
-    ///\e 
-    explicit IOParameterError(const char *the_message)
+    IoParameterError(const IoParameterError &ile) : 
+      IoError(ile), _message(ile._message), _file(ile._file) {}
+
+    ///\e 
+    explicit IoParameterError(const char *the_message)
       : _message(the_message) {}
 
     ///\e 
-    IOParameterError(const char *file_name, const char *the_message)
+    IoParameterError(const char *file_name, const char *the_message)
       : _message(the_message), _file(file_name) {}
 
@@ -417,7 +417,7 @@
       catch (...) {}
       if( _message_holder.valid() ) return _message_holder.get().c_str();
-      return "lemon:IOParameterError";
-    }
-    virtual ~IOParameterError() throw() {}
+      return "lemon:IoParameterError";
+    }
+    virtual ~IoParameterError() throw() {}
   };
 
Index: lemon/lemon_reader.h
===================================================================
--- lemon/lemon_reader.h	(revision 2100)
+++ lemon/lemon_reader.h	(revision 2153)
@@ -837,5 +837,5 @@
 	ErrorMessage msg;
 	msg << "Multiple read rule for node map: " << name;
-	throw IOParameterError(msg.message());
+	throw IoParameterError(msg.message());
       }      
       readers.insert(
@@ -856,5 +856,5 @@
 	ErrorMessage msg;
 	msg << "Multiple read rule for node map: " << name;
-	throw IOParameterError(msg.message());
+	throw IoParameterError(msg.message());
       }
       readers.insert(make_pair(name, new _reader_bits::
@@ -906,5 +906,5 @@
 	  ErrorMessage msg;
 	  msg << "Map not found in file: " << it->first;
-	  throw IOParameterError(msg.message());
+	  throw IoParameterError(msg.message());
 	}
       }
@@ -922,5 +922,5 @@
       ErrorMessage msg;
       msg << "NodeSet section not found in file: @nodeset " << name;
-      throw IOParameterError(msg.message());
+      throw IoParameterError(msg.message());
     }
 
@@ -1067,5 +1067,5 @@
 	ErrorMessage msg;
 	msg << "Multiple read rule for edge map: " << name;
-	throw IOParameterError(msg.message());
+	throw IoParameterError(msg.message());
       }
       readers.insert(
@@ -1086,5 +1086,5 @@
 	ErrorMessage msg;
 	msg << "Multiple read rule for edge map: " << name;
-	throw IOParameterError(msg.message());
+	throw IoParameterError(msg.message());
       }
       readers.insert(make_pair(name, new _reader_bits::
@@ -1139,5 +1139,5 @@
 	  ErrorMessage msg;
 	  msg << "Map not found in file: " << it->first;
-	  throw IOParameterError(msg.message());
+	  throw IoParameterError(msg.message());
 	}
       }
@@ -1157,5 +1157,5 @@
       ErrorMessage msg;
       msg << "EdgeSet section not found in file: @edgeset " << name;
-      throw IOParameterError(msg.message());
+      throw IoParameterError(msg.message());
     }
 
@@ -1311,5 +1311,5 @@
 	ErrorMessage msg;
 	msg << "Multiple read rule for edge map: " << name;
-	throw IOParameterError(msg.message());
+	throw IoParameterError(msg.message());
       }
       readers.insert(
@@ -1330,5 +1330,5 @@
 	ErrorMessage msg;
 	msg << "Multiple read rule for node map: " << name;
-	throw IOParameterError(msg.message());
+	throw IoParameterError(msg.message());
       }
       readers.insert(make_pair(name, new _reader_bits::
@@ -1444,5 +1444,5 @@
 	  ErrorMessage msg;
 	  msg << "Map not found in file: " << it->first;
-	  throw IOParameterError(msg.message());
+	  throw IoParameterError(msg.message());
 	}
       }
@@ -1462,5 +1462,5 @@
       ErrorMessage msg;
       msg << "UEdgeSet section not found in file: @uedgeset " << name;
-      throw IOParameterError(msg.message());
+      throw IoParameterError(msg.message());
     }
 
@@ -1567,5 +1567,5 @@
 	ErrorMessage msg;
 	msg << "Multiple read rule for node: " << name;
-	throw IOParameterError(msg.message());
+	throw IoParameterError(msg.message());
       }
       readers.insert(make_pair(name, _reader_bits::ItemStore<Node>(item)));
@@ -1610,5 +1610,5 @@
 	  ErrorMessage msg;
 	  msg << "Node not found in file: " << it->first;
-	  throw IOParameterError(msg.message());
+	  throw IoParameterError(msg.message());
 	}
       }
@@ -1619,5 +1619,5 @@
       ErrorMessage msg;
       msg << "Nodes section not found in file: @nodes " << name;
-      throw IOParameterError(msg.message());
+      throw IoParameterError(msg.message());
     }
     
@@ -1680,5 +1680,5 @@
 	ErrorMessage msg;
 	msg << "Multiple read rule for edge: " << name;
-	throw IOParameterError(msg.message());
+	throw IoParameterError(msg.message());
       }
       readers.insert(make_pair(name, _reader_bits::ItemStore<Edge>(item)));
@@ -1723,5 +1723,5 @@
 	  ErrorMessage msg;
 	  msg << "Edge not found in file: " << it->first;
-	  throw IOParameterError(msg.message());
+	  throw IoParameterError(msg.message());
 	}
       }
@@ -1732,5 +1732,5 @@
       ErrorMessage msg;
       msg << "Edges section not found in file: @edges " << name;
-      throw IOParameterError(msg.message());
+      throw IoParameterError(msg.message());
     }
     
@@ -1798,5 +1798,5 @@
 	ErrorMessage msg;
 	msg << "Multiple read rule for undirected edge: " << name;
-	throw IOParameterError(msg.message());
+	throw IoParameterError(msg.message());
       }
       uEdgeReaders.insert(make_pair(name, _reader_bits::
@@ -1811,5 +1811,5 @@
 	ErrorMessage msg;
 	msg << "Multiple read rule for edge: " << name;
-	throw IOParameterError(msg.message());
+	throw IoParameterError(msg.message());
       }
       edgeReaders.insert(make_pair(name, _reader_bits::ItemStore<Edge>(item)));
@@ -1867,5 +1867,5 @@
 	  ErrorMessage msg;
 	  msg << "Edge not found in file: " << it->first;
-	  throw IOParameterError(msg.message());
+	  throw IoParameterError(msg.message());
 	}
       }
@@ -1875,5 +1875,5 @@
 	  ErrorMessage msg;
 	  msg << "UEdge not found in file: " << it->first;
-	  throw IOParameterError(msg.message());
+	  throw IoParameterError(msg.message());
 	}
       }
@@ -1884,5 +1884,5 @@
       ErrorMessage msg;
       msg << "UEdges section not found in file: @uedges " << name;
-      throw IOParameterError(msg.message());
+      throw IoParameterError(msg.message());
     }
     
@@ -1960,5 +1960,5 @@
 	ErrorMessage msg;
 	msg << "Multiple read rule for attribute: " << name;
-	throw IOParameterError(msg.message());
+	throw IoParameterError(msg.message());
       }
       readers.insert(make_pair(name, new _reader_bits::
@@ -2002,5 +2002,5 @@
 	  ErrorMessage msg;
 	  msg << "Attribute not found in file: " << it->first;
-	  throw IOParameterError(msg.message());
+	  throw IoParameterError(msg.message());
 	}	
       }
@@ -2011,5 +2011,5 @@
       ErrorMessage msg;
       msg << "Attribute section not found in file: @attributes " << name;
-      throw IOParameterError(msg.message());
+      throw IoParameterError(msg.message());
     }
 
